Package org.eclipse.lemminx.extensions.relaxng.jing

## Class RelaxNGGrammar

- java.lang.Object
- - org.eclipse.lemminx.extensions.relaxng.jing.RelaxNGGrammar

All Implemented Interfaces:
  `org.apache.xerces.xni.grammars.Grammar`

    public class RelaxNGGrammar
    extends Object
    implements org.apache.xerces.xni.grammars.Grammar

RelaxNG grammar.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`RelaxNGGrammar​(com.thaiopensource.validate.Schema schema, org.apache.xerces.xni.grammars.XMLGrammarDescription description)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.xerces.xni.grammars.XMLGrammarDescription` `getGrammarDescription()`
`com.thaiopensource.validate.Schema` `getSchema()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelaxNGGrammar

    public RelaxNGGrammar​(com.thaiopensource.validate.Schema schema,
                          org.apache.xerces.xni.grammars.XMLGrammarDescription description)

### Method Detail

#### getGrammarDescription

    public org.apache.xerces.xni.grammars.XMLGrammarDescription getGrammarDescription()

Specified by:
  `getGrammarDescription` in interface `org.apache.xerces.xni.grammars.Grammar`

#### getSchema

    public com.thaiopensource.validate.Schema getSchema()